# TdApi.AuthorizationStateWaitEmailAddress (TDLight API 4.0.476 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: AuthorizationStateWaitEmailAddress

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.AuthorizationStateWaitEmailAddress

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.AuthorizationState
it.tdlight.jni.TdApi.AuthorizationStateWaitEmailAddress

Enclosing class:
  TdApi

public static final class TdApi.AuthorizationStateWaitEmailAddress extends TdApi.AuthorizationState
TDLib needs the user's email address to authorize. Call setAuthenticationEmailAddress to provide the email address, or directly call checkAuthenticationEmailCode with Apple ID/Google ID token if allowed.

## Field Summary

Fields
Modifier and Type
Field
Description
`boolean`
`allowAppleId`
True, if authorization through Apple ID is allowed.
`boolean`
`allowGoogleId`
True, if authorization through Google ID is allowed.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.

## Constructor Summary

Constructors
Constructor
Description
`AuthorizationStateWaitEmailAddress()`
TDLib needs the user's email address to authorize.
`AuthorizationStateWaitEmailAddress(boolean allowAppleId, boolean allowGoogleId)`
TDLib needs the user's email address to authorize.
`AuthorizationStateWaitEmailAddress(DataInput input)`
TDLib needs the user's email address to authorize.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### allowAppleId

public boolean allowAppleId
True, if authorization through Apple ID is allowed.

### allowGoogleId

public boolean allowGoogleId
True, if authorization through Google ID is allowed.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### AuthorizationStateWaitEmailAddress

public AuthorizationStateWaitEmailAddress()
TDLib needs the user's email address to authorize. Call setAuthenticationEmailAddress to provide the email address, or directly call checkAuthenticationEmailCode with Apple ID/Google ID token if allowed.

### AuthorizationStateWaitEmailAddress

public AuthorizationStateWaitEmailAddress(boolean allowAppleId, boolean allowGoogleId)
TDLib needs the user's email address to authorize. Call setAuthenticationEmailAddress to provide the email address, or directly call checkAuthenticationEmailCode with Apple ID/Google ID token if allowed.

Parameters:
  `allowAppleId` - True, if authorization through Apple ID is allowed.
  `allowGoogleId` - True, if authorization through Google ID is allowed.

### AuthorizationStateWaitEmailAddress

public AuthorizationStateWaitEmailAddress(DataInput input) throws IOException
TDLib needs the user's email address to authorize. Call setAuthenticationEmailAddress to provide the email address, or directly call checkAuthenticationEmailCode with Apple ID/Google ID token if allowed.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`